# typedef MouseEventInit

#### package js.html

Available on HTML5

### Properties

###

`altKey:Null<Bool>`

###

`bubbles:Null<Bool>`

###

`button:Null<Int>`

###

`buttons:Null<Int>`

###

`cancelable:Null<Bool>`

###

`clientX:Null<Int>`

###

`clientY:Null<Int>`

###

`ctrlKey:Null<Bool>`

###

`detail:Null<Int>`

###

`metaKey:Null<Bool>`

###

`modifierAltGraph:Null<Bool>`

###

`modifierCapsLock:Null<Bool>`

###

`modifierFn:Null<Bool>`

###

`modifierFnLock:Null<Bool>`

###

`modifierNumLock:Null<Bool>`

###

`modifierOS:Null<Bool>`

###

`modifierScrollLock:Null<Bool>`

###

`modifierSymbol:Null<Bool>`

###

`modifierSymbolLock:Null<Bool>`

###

`movementX:Null<Int>`

###

`movementY:Null<Int>`

###

`relatedTarget:Null<EventTarget>`

###

`screenX:Null<Int>`

###

`screenY:Null<Int>`

###

`shiftKey:Null<Bool>`

###

`view:Null<Window>`